local MiniBeeHive = Class(function(self, inst)
self.inst = inst
self.onWorking = nil

end)

function MiniBeeHive:CanInteract()
	if self.caninteractfn then
		return self.caninteractfn(self.inst)
	else
		return true
	end
end

function MiniBeeHive:CollectInventoryActions(doer, actions)
	if self:CanInteract() then
		    table.insert(actions, ACTIONS.MINIBEEHIVE)	   	
	end
end

function MiniBeeHive:Working(inst, doer)
	if self.onWorking then
		self.onWorking(self.inst, doer)
	end
end



return MiniBeeHive